import request from '@/utils/request'

// 查询项目季度考核列表
function listAssess(query) {
  return request({
    url: '/project/assess/list',
    method: 'get',
    params: query
  })
}

// 查询项目季度考核详细
function getAssess(id) {
  return request({
    url: '/project/assess/' + id,
    method: 'get'
  })
}

// 新增项目季度考核
function addAssess(data) {
  return request({
    url: '/project/assess',
    method: 'post',
    data: data
  })
}

// 修改项目季度考核
function updateAssess(data) {
  return request({
    url: '/project/assess',
    method: 'put',
    data: data
  })
}

// 删除项目季度考核
function delAssess(id) {
  return request({
    url: '/project/assess/' + id,
    method: 'delete'
  })
}



// 查询项目季度考核列表
function addYear(data) {
  return request({
    url: '/project/assess/addYear',
    method: 'post',
    data: data
  })
}

export {
  listAssess,getAssess,addAssess,updateAssess,delAssess,addYear
}
export default {
  listAssess,getAssess,addAssess,updateAssess,delAssess,addYear
}
